apiVersion: v1
kind: PersistentVolume
metadata:
  name: immich-photos-pv
  labels:
    app: immich
spec:
  capacity:
    storage: 200Gi
  storageClassName: nfs
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.178.186
    path: /volume1/Photos
  mountOptions:
    - hard
    - nfsvers=4